# pandas.core.window.Rolling.min

`Rolling.``min`(*args, **kwargs)

  Calculate the rolling minimum.

  Parameters:

  **kwargs

  > Under Review.

  Returns:

  Series or DataFrame

  > Returned object type is determined by the caller of the rolling calculation.

  See also

  `Series.rolling`
    Calling object with a Series.
  `DataFrame.rolling`
    Calling object with a DataFrame.
  `Series.min`
    Similar method for Series.
  `DataFrame.min`
    Similar method for DataFrame.

  Examples

  Performing a rolling minimum with a window size of 3.

      >>> s = pd.Series([4, 3, 5, 2, 6])
      >>> s.rolling(3).min()
      0    NaN
      1    NaN
      2    3.0
      3    2.0
      4    2.0
      dtype: float64

Scroll To Top